Page MenuHomePhabricator

New Trusty slaves can't run the mediawiki qunit jobs
Closed, ResolvedPublic

Description

I have pooled two slaves today:

  • integration-slave-trusty-1014
  • integration-slave-trusty-1017

They always fails the mediawiki qunit jobs:

Example: https://integration.wikimedia.org/ci/job/mediawiki-core-qunit/49493/console

00:00:48.188 + grunt karma:main
00:00:50.722 Running "karma:main" (karma) task
00:00:50.811 INFO [karma]: Karma v0.12.36 server started at http://localhost:9876/
00:00:50.819 INFO [launcher]: Starting browser Chrome
00:00:54.165 WARN [web-server]: 404: /favicon.ico
00:00:54.202 INFO [Chromium 45.0.2454 (Ubuntu 0.0.0)]: Connected on socket b02X_4QKlehxhdC2rc-n with id 94240069
00:00:54.300 Chromium 45.0.2454 (Ubuntu 0.0.0) ERROR
00:00:54.300   Script error.
00:00:54.310 Chromium 45.0.2454 (Ubuntu 0.0.0): Executed 0 of 0 ERROR (0.106 secs / 0 secs)
00:00:54.514 Warning: Task "karma:main" failed. Use --force to continue.
00:00:54.514 
00:00:54.515 Aborted due to warnings.

Full log:

1Started by user anonymous
2Building remotely on integration-slave-trusty-1017 (phpflavor-hhvm contintLabsSlave UbuntuTrusty) in workspace /mnt/jenkins-workspace/workspace/mediawiki-core-qunit
3[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson2048581609140873834.sh
4+ zuul-cloner --version
5Zuul version: 2.0.0-327-g3ebedde-wmf3trusty1
6+ zuul-cloner --color --verbose --map /srv/deployment/integration/slave-scripts/etc/zuul-clonemap.yaml --workspace src https://gerrit.wikimedia.org/r/p mediawiki/core mediawiki/vendor
7INFO:zuul.Cloner:Loaded map containing 4 rules
8INFO:zuul.CloneMapper:Workspace path set to: src
9INFO:zuul.CloneMapper:Mapping projects to workspace...
10INFO:zuul.CloneMapper: mediawiki/core -> src
11INFO:zuul.CloneMapper: mediawiki/vendor -> src/vendor
12DEBUG:zuul.CloneMapper:Checking overlap in destination directories...
13INFO:zuul.CloneMapper:Expansion completed.
14INFO:zuul.Cloner:Preparing 2 repositories
15INFO:zuul.Cloner:Creating repo mediawiki/core from upstream https://gerrit.wikimedia.org/r/p/mediawiki/core
16DEBUG:zuul.Repo:Updating repository src
17DEBUG:zuul.Cloner:upstream repo has branch master
18DEBUG:zuul.Cloner:Fetched ref refs/zuul/master/Z8f0784426ffa441b9104f8841d2f4bb7 from mediawiki/core
19DEBUG:zuul.Repo:Checking out 531698218342903c5a59c97c2959a344b008c49b
20INFO:zuul.Cloner:Prepared mediawiki/core repo with commit 531698218342903c5a59c97c2959a344b008c49b
21INFO:zuul.Cloner:Creating repo mediawiki/vendor from upstream https://gerrit.wikimedia.org/r/p/mediawiki/vendor
22DEBUG:zuul.Repo:Updating repository src/vendor
23DEBUG:zuul.Cloner:upstream repo has branch master
24DEBUG:zuul.Cloner:Project mediawiki/vendor in Zuul does not have ref refs/zuul/master/Z8f0784426ffa441b9104f8841d2f4bb7
25DEBUG:zuul.Cloner:Falling back to branch master
26DEBUG:zuul.Repo:Checking out remotes/origin/master
27INFO:zuul.Cloner:Prepared mediawiki/vendor repo with branch master
28INFO:zuul.Cloner:Prepared all repositories
29[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson3949807799520012526.sh
30+ /srv/deployment/integration/slave-scripts/bin/mw-install-mysql.sh
31HHVM 3.6.5 is installed.
32Found ImageMagick: /usr/bin/convert.
33Image thumbnailing will be enabled if you enable uploads.
34Found the Git version control software: /usr/bin/git.
35Warning: No --scriptpath specified, using default: /wiki.
36Using server URL "/wiki".
37Warning: Your default directory for uploads (/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/images/) is not checked for vulnerability
38to arbitrary script execution during the CLI install.
39Using the intl PECL extension for Unicode normalization.
40The environment has been checked.
41You can install MediaWiki.
42Setting up database
43done
44Creating tables
45done
46Creating database user
47done
48Populating default interwiki table
49done
50Initializing statistics
51done
52Generating secret keys
53done
54Prevent running unneeded updates
55done
56Creating administrator user account
57done
58Creating main page with default content
59done
60[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson6509913390348200104.sh
61+ /srv/deployment/integration/slave-scripts/bin/mw-apply-settings.sh
62Proceeding '00_dev_settings.php'...
63Proceeding '00_set_debug_log.php'...
64Proceeding '10_enable_legacy_jquery.php'...
65Proceeding '10_env_mw_install_path.php'...
66Proceeding '10_set_wgHTTPProxy.php'...
67Proceeding '10_set_wgWikimediaJenkinsCI.php'...
68Proceeding '20_set_wgdjvu.php'...
69Proceeding '50_mw_ext_loader.php'...
70Making sure /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/LocalSettings.php is still valid
71No syntax errors detected in /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/LocalSettings.php
72[Wed Sep 23 14:48:14 2015] [hphp] [23257:7f2c1d19ed00:0:000001] [] Lost parent, LightProcess exiting
73[Wed Sep 23 14:48:14 2015] [hphp] [23261:7f2c1d19ed00:0:000001] [] Lost parent, LightProcess exiting
74[Wed Sep 23 14:48:14 2015] [hphp] [23262:7f2c1d19ed00:0:000001] [] Lost parent, LightProcess exiting
75[Wed Sep 23 14:48:14 2015] [hphp] [23259:7f2c1d19ed00:0:000001] [] Lost parent, LightProcess exiting
76[Wed Sep 23 14:48:14 2015] [hphp] [23260:7f2c1d19ed00:0:000001] [] Lost parent, LightProcess exiting
77[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson8702657412146347376.sh
78+ . /srv/deployment/integration/slave-scripts/bin/mw-set-env-localhost.sh
79++ . /srv/deployment/integration/slave-scripts/bin/mw-set-env.sh
80+++ . /srv/deployment/integration/slave-scripts/bin/global-set-env.sh
81++++ '[' -d /mnt/home/jenkins-deploy/tmpfs ']'
82++++ '[' -z '' ']'
83++++ export TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
84++++ TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
85++++ export DISPLAY=:94
86++++ DISPLAY=:94
87+++++ which chromium-browser
88++++ export CHROME_BIN=/usr/bin/chromium-browser
89++++ CHROME_BIN=/usr/bin/chromium-browser
90+++ MW_INSTALL_PATH=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit
91+++ for mw_path in src/mediawiki/core src
92+++ [[ -d /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/mediawiki/core ]]
93+++ for mw_path in src/mediawiki/core src
94+++ [[ -d /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src ]]
95+++ MW_INSTALL_PATH=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src
96+++ break
97+++ export MW_INSTALL_PATH
98+++ export MW_TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
99+++ MW_TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
100+++ export MW_DB=jenkins_u3_mw
101+++ MW_DB=jenkins_u3_mw
102+++ export MW_DB_HOST=127.0.0.1
103+++ MW_DB_HOST=127.0.0.1
104+++ export MW_DB_PORT=3306
105+++ MW_DB_PORT=3306
106+++ export MW_DB_USER=jenkins_u3
107+++ MW_DB_USER=jenkins_u3
108+++ export MW_DB_PASS=pw_jenkins_u3
109+++ MW_DB_PASS=pw_jenkins_u3
110+++ export LOG_DIR=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/log
111+++ LOG_DIR=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/log
112++ export MW_SERVER=http://localhost:9412
113++ MW_SERVER=http://localhost:9412
114++ export MW_SCRIPT_PATH=/jenkins-mediawiki-core-qunit-49493
115++ MW_SCRIPT_PATH=/jenkins-mediawiki-core-qunit-49493
116+ echo -e '<?php\n$wgServer = '\''http://localhost:9412'\'';\n' '$wgScriptPath = '\''/jenkins-mediawiki-core-qunit-49493'\'';\n' '$wgScript = $wgStylePath = $wgLogo = false;\n' '$wgEnableJavaScriptTest = true;\n?>\n'
117+ PUBLIC_DIR=/srv/localhost-worker/jenkins-mediawiki-core-qunit-49493
118+ test '!' -e /srv/localhost-worker/jenkins-mediawiki-core-qunit-49493
119+ ln -s /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src /srv/localhost-worker/jenkins-mediawiki-core-qunit-49493
120+ head -n42
121+ tac
122+ tac
123+ curl --include http://localhost:9412/jenkins-mediawiki-core-qunit-49493/index.php/Special:BlankPage
124 % Total % Received % Xferd Average Speed Time Time Time Current
125 Dload Upload Total Spent Left Speed
126
127 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
128100 1491 100 1491 0 0 42849 0 --:--:-- --:--:-- --:--:-- 45181
129HTTP/1.1 200 OK
130Date: Wed, 23 Sep 2015 14:48:14 GMT
131Server: Apache
132Last-Modified: Wed, 23 Sep 2015 13:39:25 GMT
133ETag: "5d3-5206a3e301685"
134Accept-Ranges: bytes
135Content-Length: 1491
136
137<?php
138/**
139 * This is the main web entry point for MediaWiki.
140 *
141 * If you are reading this in your web browser, your server is probably
142 * not configured correctly to run PHP applications!
143 *
144 * See the README, INSTALL, and UPGRADE files for basic setup instructions
145 * and pointers to the online documentation.
146 *
147 * https://www.mediawiki.org/
148 *
149 * ----------
150 *
151 * This program is free software; you can redistribute it and/or modify
152 * it under the terms of the GNU General Public License as published by
153 * the Free Software Foundation; either version 2 of the License, or
154 * (at your option) any later version.
155 *
156 * This program is distributed in the hope that it will be useful,
157 * but WITHOUT ANY WARRANTY; without even the implied warranty of
158 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
159 * GNU General Public License for more details.
160 *
161 * You should have received a copy of the GNU General Public License along
162 * with this program; if not, write to the Free Software Foundation, Inc.,
163 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
164 * http://www.gnu.org/copyleft/gpl.html
165 *
166 * @file
167 */
168
169// Bail on old versions of PHP, or if composer has not been run yet to install
170// dependencies. Using dirname( __FILE__ ) here because __DIR__ is PHP5.3+.
171+ curl --include 'http://localhost:9412/jenkins-mediawiki-core-qunit-49493/load.php?debug=true&modules=startup&only=scripts'
172+ tac
173+ tac
174 % Total % Received % Xferd Average Speed Time Time Time Current
175 Dload Upload Total Spent Left Speed
176
177 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0+ head -n42
178
179100 1826 100 1826 0 0 351k 0 --:--:-- --:--:-- --:--:-- 445k
180HTTP/1.1 200 OK
181Date: Wed, 23 Sep 2015 14:48:14 GMT
182Server: Apache
183Last-Modified: Wed, 23 Sep 2015 13:39:26 GMT
184ETag: "722-5206a3e3834a5"
185Accept-Ranges: bytes
186Content-Length: 1826
187
188<?php
189/**
190 * This file is the entry point for the resource loader.
191 *
192 * This program is free software; you can redistribute it and/or modify
193 * it under the terms of the GNU General Public License as published by
194 * the Free Software Foundation; either version 2 of the License, or
195 * (at your option) any later version.
196 *
197 * This program is distributed in the hope that it will be useful,
198 * but WITHOUT ANY WARRANTY; without even the implied warranty of
199 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
200 * GNU General Public License for more details.
201 *
202 * You should have received a copy of the GNU General Public License along
203 * with this program; if not, write to the Free Software Foundation, Inc.,
204 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
205 * http://www.gnu.org/copyleft/gpl.html
206 *
207 * @file
208 * @author Roan Kattouw
209 * @author Trevor Parscal
210 */
211
212use MediaWiki\Logger\LoggerFactory;
213
214// Bail on old versions of PHP, or if composer has not been run yet to install
215// dependencies. Using dirname( __FILE__ ) here because __DIR__ is PHP5.3+.
216require_once dirname( __FILE__ ) . '/includes/PHPVersionCheck.php';
217wfEntryPointCheck( 'load.php' );
218
219require __DIR__ . '/includes/WebStart.php';
220
221
222[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson6938768733462141958.sh
223+ . /srv/deployment/integration/slave-scripts/bin/mw-set-env-localhost.sh
224++ . /srv/deployment/integration/slave-scripts/bin/mw-set-env.sh
225+++ . /srv/deployment/integration/slave-scripts/bin/global-set-env.sh
226++++ '[' -d /mnt/home/jenkins-deploy/tmpfs ']'
227++++ '[' -z '' ']'
228++++ export TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
229++++ TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
230++++ export DISPLAY=:94
231++++ DISPLAY=:94
232+++++ which chromium-browser
233++++ export CHROME_BIN=/usr/bin/chromium-browser
234++++ CHROME_BIN=/usr/bin/chromium-browser
235+++ MW_INSTALL_PATH=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit
236+++ for mw_path in src/mediawiki/core src
237+++ [[ -d /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/mediawiki/core ]]
238+++ for mw_path in src/mediawiki/core src
239+++ [[ -d /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src ]]
240+++ MW_INSTALL_PATH=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src
241+++ break
242+++ export MW_INSTALL_PATH
243+++ export MW_TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
244+++ MW_TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
245+++ export MW_DB=jenkins_u3_mw
246+++ MW_DB=jenkins_u3_mw
247+++ export MW_DB_HOST=127.0.0.1
248+++ MW_DB_HOST=127.0.0.1
249+++ export MW_DB_PORT=3306
250+++ MW_DB_PORT=3306
251+++ export MW_DB_USER=jenkins_u3
252+++ MW_DB_USER=jenkins_u3
253+++ export MW_DB_PASS=pw_jenkins_u3
254+++ MW_DB_PASS=pw_jenkins_u3
255+++ export LOG_DIR=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/log
256+++ LOG_DIR=/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/log
257++ export MW_SERVER=http://localhost:9412
258++ MW_SERVER=http://localhost:9412
259++ export MW_SCRIPT_PATH=/jenkins-mediawiki-core-qunit-49493
260++ MW_SCRIPT_PATH=/jenkins-mediawiki-core-qunit-49493
261+ cd /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src
262+ . /srv/deployment/integration/slave-scripts/bin/npm-setup.sh
263++ . /srv/deployment/integration/slave-scripts/bin/global-setup.sh
264+++ . /srv/deployment/integration/slave-scripts/bin/global-set-env.sh
265++++ '[' -d /mnt/home/jenkins-deploy/tmpfs ']'
266++++ '[' -z '' ']'
267++++ export TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
268++++ TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
269++++ export DISPLAY=:94
270++++ DISPLAY=:94
271+++++ which chromium-browser
272++++ export CHROME_BIN=/usr/bin/chromium-browser
273++++ CHROME_BIN=/usr/bin/chromium-browser
274+++ mkdir -p /mnt/home/jenkins-deploy/tmpfs/jenkins-3
275+++ chmod 777 /mnt/home/jenkins-deploy/tmpfs/jenkins-3
276++ . /srv/deployment/integration/slave-scripts/bin/npm-set-env.sh
277+++ . /srv/deployment/integration/slave-scripts/bin/global-set-env.sh
278++++ '[' -d /mnt/home/jenkins-deploy/tmpfs ']'
279++++ '[' -z '' ']'
280++++ export TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
281++++ TMPDIR=/mnt/home/jenkins-deploy/tmpfs/jenkins-3
282++++ export DISPLAY=:94
283++++ DISPLAY=:94
284+++++ which chromium-browser
285++++ export CHROME_BIN=/usr/bin/chromium-browser
286++++ CHROME_BIN=/usr/bin/chromium-browser
287+ rm -rf node_modules
288+ npm install
289npm WARN package.json mediawiki@0.0.0 No repository field.
290npm WARN optional dep failed, continuing fsevents@0.3.8
291
292> ws@0.4.32 install /mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/node_modules/karma/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws
293> (node-gyp rebuild 2> builderror.log) || (exit 0)
294
295make: Entering directory `/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/node_modules/karma/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws/build'
296 CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
297 SOLINK_MODULE(target) Release/obj.target/bufferutil.node
298 SOLINK_MODULE(target) Release/obj.target/bufferutil.node: Finished
299 COPY Release/bufferutil.node
300 CXX(target) Release/obj.target/validation/src/validation.o
301 SOLINK_MODULE(target) Release/obj.target/validation.node
302 SOLINK_MODULE(target) Release/obj.target/validation.node: Finished
303 COPY Release/validation.node
304make: Leaving directory `/mnt/jenkins-workspace/workspace/mediawiki-core-qunit/src/node_modules/karma/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws/build'
305karma-qunit@0.1.4 node_modules/karma-qunit
306
307karma-firefox-launcher@0.1.6 node_modules/karma-firefox-launcher
308
309grunt-banana-checker@0.3.0 node_modules/grunt-banana-checker
310
311qunitjs@1.18.0 node_modules/qunitjs
312
313grunt-contrib-copy@0.8.0 node_modules/grunt-contrib-copy
314├── file-sync-cmp@0.1.1
315└── chalk@0.5.1 (ansi-styles@1.1.0, escape-string-regexp@1.0.3, supports-color@0.2.0, strip-ansi@0.3.0, has-ansi@0.1.0)
316
317karma-chrome-launcher@0.1.12 node_modules/karma-chrome-launcher
318└── which@1.1.2 (is-absolute@0.1.7)
319
320grunt-contrib-watch@0.6.1 node_modules/grunt-contrib-watch
321├── async@0.2.10
322├── tiny-lr-fork@0.0.5 (debug@0.7.4, faye-websocket@0.4.4, noptify@0.0.3, qs@0.5.6)
323├── gaze@0.5.1 (globule@0.1.0)
324└── lodash@2.4.2
325
326grunt-cli@0.1.13 node_modules/grunt-cli
327├── resolve@0.3.1
328├── nopt@1.0.10 (abbrev@1.0.7)
329└── findup-sync@0.1.3 (glob@3.2.11, lodash@2.4.2)
330
331grunt@0.4.5 node_modules/grunt
332├── dateformat@1.0.2-1.2.3
333├── which@1.0.9
334├── eventemitter2@0.4.14
335├── getobject@0.1.0
336├── rimraf@2.2.8
337├── colors@0.6.2
338├── async@0.1.22
339├── grunt-legacy-util@0.2.0
340├── hooker@0.2.3
341├── exit@0.1.2
342├── nopt@1.0.10 (abbrev@1.0.7)
343├── minimatch@0.2.14 (sigmund@1.0.1, lru-cache@2.7.0)
344├── glob@3.1.21 (inherits@1.0.2, graceful-fs@1.2.3)
345├── lodash@0.9.2
346├── coffee-script@1.3.3
347├── underscore.string@2.2.1
348├── iconv-lite@0.2.11
349├── findup-sync@0.1.3 (glob@3.2.11, lodash@2.4.2)
350├── grunt-legacy-log@0.1.2 (grunt-legacy-log-utils@0.1.1, underscore.string@2.3.3, lodash@2.4.2)
351└── js-yaml@2.0.5 (argparse@0.1.16, esprima@1.0.4)
352
353grunt-karma@0.11.0 node_modules/grunt-karma
354└── lodash@3.9.3
355
356grunt-jsonlint@1.0.4 node_modules/grunt-jsonlint
357└── jsonlint@1.6.0 (nomnom@1.8.1, JSV@4.0.2)
358
359grunt-contrib-jshint@0.11.3 node_modules/grunt-contrib-jshint
360├── hooker@0.2.3
361└── jshint@2.8.0 (strip-json-comments@1.0.4, exit@0.1.2, console-browserify@1.1.0, shelljs@0.3.0, minimatch@2.0.10, cli@0.6.6, htmlparser2@3.8.3, lodash@3.7.0)
362
363karma@0.12.36 node_modules/karma
364├── di@0.0.1
365├── rimraf@2.4.3
366├── graceful-fs@3.0.8
367├── mime@1.3.4
368├── colors@1.1.2
369├── q@1.4.1
370├── glob@5.0.14 (path-is-absolute@1.0.0, inherits@2.0.1, once@1.3.2, inflight@1.0.4)
371├── optimist@0.6.1 (wordwrap@0.0.3, minimist@0.0.10)
372├── source-map@0.4.4 (amdefine@1.0.0)
373├── minimatch@2.0.10 (brace-expansion@1.1.0)
374├── useragent@2.1.7 (lru-cache@2.2.4)
375├── chokidar@1.0.6 (arrify@1.0.0, path-is-absolute@1.0.0, is-glob@1.1.3, async-each@0.1.6, is-binary-path@1.0.1, glob-parent@1.3.0, readdirp@1.4.0, anymatch@1.3.0)
376├── http-proxy@0.10.4 (colors@0.6.2, pkginfo@0.3.0, utile@0.2.1)
377├── log4js@0.6.27 (async@0.2.10, underscore@1.8.2, readable-stream@1.0.33, semver@4.3.6)
378├── connect@2.30.2 (cookie@0.1.3, bytes@2.1.0, utils-merge@1.0.0, cookie-signature@1.0.6, pause@0.1.0, fresh@0.3.0, response-time@2.3.1, vhost@3.0.1, content-type@1.0.1, on-headers@1.0.0, basic-auth-connect@1.0.0, parseurl@1.3.0, cookie-parser@1.3.5, depd@1.0.1, http-errors@1.3.1, connect-timeout@1.6.2, qs@4.0.0, method-override@2.3.5, serve-favicon@2.3.0, debug@2.2.0, finalhandler@0.4.0, morgan@1.6.1, csurf@1.8.3, express-session@1.11.3, serve-static@1.10.0, type-is@1.6.8, multiparty@3.3.2, compression@1.5.2, errorhandler@1.4.2, body-parser@1.13.3, serve-index@1.7.2)
379├── lodash@3.10.1
380└── socket.io@0.9.16 (base64id@0.1.0, policyfile@0.0.4, redis@0.7.3, socket.io-client@0.9.16)
381
382grunt-jscs@2.1.0 node_modules/grunt-jscs
383├── vow@0.4.10
384├── hooker@0.2.3
385├── lodash@3.10.1
386└── jscs@2.1.1 (reserved-words@0.1.1, strip-json-comments@1.0.4, natural-compare@1.2.2, babel-jscs@2.0.4, pathval@0.1.1, estraverse@4.1.0, xmlbuilder@2.6.5, exit@0.1.2, commander@2.8.1, chalk@1.1.1, lodash.assign@3.2.0, glob@5.0.14, esprima@2.5.0, cli-table@0.3.1, minimatch@2.0.10, vow-fs@0.3.4, resolve@1.1.6, to-single-quotes@1.0.3, to-double-quotes@1.0.1, jscs-jsdoc@1.1.0, prompt@0.2.14, babel-core@5.8.25)
387+ grunt karma:main
388Running "karma:main" (karma) task
389INFO [karma]: Karma v0.12.36 server started at http://localhost:9876/
390INFO [launcher]: Starting browser Chrome
391WARN [web-server]: 404: /favicon.ico
392INFO [Chromium 45.0.2454 (Ubuntu 0.0.0)]: Connected on socket b02X_4QKlehxhdC2rc-n with id 94240069
393Chromium 45.0.2454 (Ubuntu 0.0.0) ERROR
394 Script error.
395Chromium 45.0.2454 (Ubuntu 0.0.0): Executed 0 of 0 ERROR (0.106 secs / 0 secs)
396Warning: Task "karma:main" failed. Use --force to continue.
397
398Aborted due to warnings.
399Build step 'Execute shell' marked build as failure
400[PostBuildScript] - Execution post build scripts.
401[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson4926285449072769170.sh
402+ rm -f /srv/localhost-worker/jenkins-mediawiki-core-qunit-49493
403[PostBuildScript] - Execution post build scripts.
404[mediawiki-core-qunit] $ /bin/bash -xe /tmp/hudson1834031639870775068.sh
405+ /srv/deployment/integration/slave-scripts/bin/mw-teardown-mysql.sh
406Archiving artifacts
407Finished: FAILURE

Related Objects

Event Timeline

hashar created this task.Sep 23 2015, 4:03 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 4:03 PM
00:00:06.521 + curl --include http://localhost:9412/jenkins-mediawiki-core-qunit-49493/index.php/Special:BlankPage
...
00:00:06.567 <?php
00:00:06.567 /**
00:00:06.567  * This is the main web entry point for MediaWiki.
00:00:06.567  *
00:00:06.567  * If you are reading this in your web browser, your server is probably
00:00:06.567  * not configured correctly to run PHP applications!
00:00:06.568  *
00:00:06.568  * See the README, INSTALL, and UPGRADE files for basic setup instructions
00:00:06.568  * and pointers to the online documentation.
00:00:06.568  *
00:00:06.568  * https://www.mediawiki.org/

Apache lacks PHP configuration :-/

On integration-slave-trusty-1014 I created a test case file for http://localhost:9412/test.php :

<?php
echo "PHP works?\n";

And seems PHP is enabled properly:

$ curl http://localhost:9412/test.php
PHP works?
$ 

Will need a qunit job tied to one of the instance and try to repro. Maybe restarting Apache solved it.

Repooled https://integration.wikimedia.org/ci/computer/integration-slave-trusty-1014/ with no labels.

Copy pasted the job to https://integration.wikimedia.org/ci/job/hashar-mediawiki-core-qunit/ and tied it to that slave.

Manual build of mediawiki/core master branch is occurring at https://integration.wikimedia.org/ci/job/hashar-mediawiki-core-qunit/1/consoleFull

Will see whether it works properly after the instance reboot.

hashar added a comment.EditedSep 23 2015, 4:27 PM

Seems it working. will pool them back tonight unless someone does. For trusty-1014 we need to adjust the slave labels back to the old values.

hashar closed this task as Resolved.Sep 23 2015, 6:40 PM
hashar claimed this task.

I have pooled them back in. The qunit jobs work.

I guess the issue is puppet did not restart Apache after the PHP5 or qunit vhost got configured.

hashar reopened this task as Open.Sep 24 2015, 8:28 AM

mediawiki-core-qunit is fixed.

mediawiki-extensions-qunit still fails for some reason on trusty-1014 and trusty-1017:

00:01:23.622 Chromium 45.0.2454 (Ubuntu 0.0.0) ve.dm.MWTransclusionNode getWikitext FAILED
00:01:23.622 	afterEach failed on getWikitext: Pending AJAX requests: 0 (active: 1)
00:01:23.622 	Error: Pending AJAX requests: 0 (active: 1)
Expected X assertions, but X + 1 were run at mw.loader.implement.css

Gave it a try again with a fresh workspace and it still fail :-(

Using resourceloader debug under Chromium, the canceled request is:

api.php?action=query
&format=json
&prop=pageimages%7Cinfo%7Crevisions
&piprop=thumbnail
&pithumbsize=80
&pilimit=50
&formatversion=2
&rvprop=timestamp%7Cuser
&generator=watchlistraw
&gwrnamespace=0
&gwrlimit=50
&continue=

Referer: /index.php?title=Special%3AJavaScriptTest%2Fqunit%2Fplain&uselang=en&debug=true&noglobals'

I see it in the Apache access log at 24/Sep/2015:09:03:35 +0000

In the MediaWiki debug log:

0.0399   6.2M  Start request GET /jenkins-hashar-T113489-3/api.php?action=query&format=json&prop=pageimages%7Cinfo%7Crevisions&piprop=thumbnail&pithumbsize=80&pilimit=50&formatversion=2&rvprop=timestamp%7Cuser&generator=watchlistraw&gwrnamespace=0&gwrlimit=50&continue=
HTTP HEADERS:
HOST: localhost:9412
CONNECTION: keep-alive
PRAGMA: no-cache
CACHE-CONTROL: no-cache
ACCEPT: application/json, text/javascript, */*; q=0.01
X-REQUESTED-WITH: XMLHttpRequest
USER-AGENT: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/43.0.2357.130 Safari/537.36
REFERER: http://localhost:9412/jenkins-hashar-T113489-3/index.php?title=Special%3AJavaScriptTest%2Fqunit%2Fplain&uselang=en&debug=true&noglobals
ACCEPT-ENCODING: gzip, deflate, sdch
ACCEPT-LANGUAGE: fr-FR,fr;q=0.8,en-US;q=0.6,en;q=0.4
COOKIE: build38_session=3d76c9a4ed0a928f48d88ac14491a2e8; build39_session=37f2d3d1c61200c5225ab879103e492c; build46_session=41bd7add09f26dcc23d1e63f084e7131; build49_session=51a432a585a4902f4d582f6b07db260d; build52_session=06e5914789b93b4457e8dfe201ed654a; jenkins_u0_mwmwuser-sessionId=579a0eb5f5ea8735; jenkins_u0_mw-mw-tour=%7B%22version%22%3A1%2C%22tours%22%3A%7B%22placeholder%22%3A%7B%22startTime%22%3A1443085008468%2C%22step%22%3A%22showChanges%22%7D%7D%7D
[caches] main: EmptyBagOStuff, message: SqlBagOStuff, parser: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreDB
[EventLogging] No suitable memcached driver found.
[EventLogging] wgEventLoggingBaseUri has not been configured.
[EventLogging] wgEventLoggingFile has not been configured.
[Flow] FlowHooks::initFlowExtension: Warning: $wgFlowContentFormat was set to 'html', but you do not have Parsoid enabled.  Changing $wgFlowContentFormat to 'wikitext'
0.0771  13.5M  Fully initialised
0.1110  19.5M  Connected to database 0 at 127.0.0.1:3306
0.1142  19.8M  ApiMain::setCacheMode: setting cache mode private
0.1156  19.8M  IP: 127.0.0.1
0.1181  20.2M  Request ended normally

If I replay it:

{
    "error": {
        "code": "gwrnotloggedin",
        "docref": "See http://localhost:9412/jenkins-hashar-T113489-3/api.php for API usage",
        "info": "You must be logged-in to have a watchlist"
    },
    "warnings": {
        "query": {
            "warnings": "Unrecognized value for parameter 'prop': pageimages"
        }
    }
}

Might not even be related ....

hashar added a subscriber: Krinkle.Sep 24 2015, 9:24 AM

Hey @Krinkle , I have a hard time figuring out why Trusty slaves I have created yesterday are failing the mediawiki-core-qunit job with errors such as:

00:01:23.622 Chromium 45.0.2454 (Ubuntu 0.0.0) ve.dm.MWTransclusionNode getWikitext FAILED
00:01:23.622 	afterEach failed on getWikitext: Pending AJAX requests: 0 (active: 1)
00:01:23.622 	Error: Pending AJAX requests: 0 (active: 1)

Would you mind having a look please?

The Jenkins job https://integration.wikimedia.org/ci/job/hashar-T113489/ is tied to integration-slave-trusty1017 (instance that only runs that job).

The workspace is under /mnt/jenkins-workspace/workspace/hashar-T113489/

/srv/localhost-worker/jenkins-hashar-T113489-3/ and the MySQL database are still around.

To reproduce:

Doing a diff between the debug logs does not show anything suspicious.

I can not reproduce any more. Maybe that has been fixed already.

I have put https://integration.wikimedia.org/ci/computer/integration-slave-trusty-1014/ back online.

Reapplied labels contintLabsSlave UbuntuTrusty phpflavor-hhvm in https://integration.wikimedia.org/ci/computer/integration-slave-trusty-1017/ and bumped number of executors back to 4.

hashar closed this task as Resolved.Oct 6 2015, 11:21 AM

Seems good now. I have no idea what happened :/